import styled from 'styled-components';
import { setLightness } from 'polished';
export var StyledRailChunk = styled.div.attrs(function (_ref) {
  var $left = _ref.$left,
    $width = _ref.$width,
    $maxWidth = _ref.$maxWidth;
  return {
    style: {
      left: $left,
      width: $width,
      maxWidth: $maxWidth
    }
  };
}).withConfig({
  displayName: "StyledRailChunk",
  componentId: "sc-1ghxa5n-0"
})(["position:absolute;top:50%;transform:translate(0%,-50%);height:2px;cursor:pointer;overflow-x:", ";background-color:", ";svg{margin:5px 5px;color:", ";}"], function (_ref2) {
  var $maxWidth = _ref2.$maxWidth;
  return $maxWidth === '0%' ? 'hidden' : 'visible';
}, function (_ref3) {
  var $thresholdColor = _ref3.$thresholdColor;
  return setLightness(0.85, $thresholdColor);
}, function (_ref4) {
  var $thresholdColor = _ref4.$thresholdColor;
  return $thresholdColor;
});